## GConverterOutputstream GConverterOutputstream — Converter Output Stream |

## Functions

GOutputStream * | g_converter_output_stream_new ()
GConverter * | g_converter_output_stream_get_converter ()

## Properties

GConverter * | converter | Read / Write / Construct Only

## Types and Values

| GConverterOutputStream

## Object Hierarchy

        GObject
        ╰── GOutputStream
            ╰── GFilterOutputStream
                ╰── GConverterOutputStream

## Implemented Interfaces

GConverterOutputStream implements GPollableOutputStream.

## Includes

    #include <gio/gio.h>

## Description

Converter output stream implements GOutputStream and allows conversion of data of various types during reading.

As of GLib 2.34, GConverterOutputStream implements GPollableOutputStream.

## Functions

### g_converter_output_stream_new ()

    GOutputStream *
    g_converter_output_stream_new (GOutputStream *base_stream,
                                   GConverter *converter);

Creates a new converter output stream for the `base_stream` .

#### Parameters

base_stream | a GOutputStream |
converter | a GConverter |

#### Returns

a new GOutputStream.

### g_converter_output_stream_get_converter ()

    GConverter *
    g_converter_output_stream_get_converter
                                   (GConverterOutputStream *converter_stream);

Gets the GConverter that is used by `converter_stream` .

#### Parameters

converter_stream | a GConverterOutputStream |

#### Returns

the converter of the converter output stream.

[transfer none]

Since 2.24

## Types and Values

### GConverterOutputStream

    typedef struct _GConverterOutputStream GConverterOutputStream;

An implementation of GFilterOutputStream that allows data conversion.

## Property Details

### The `“converter”` property

      “converter”                GConverter *

The converter object.

Flags: Read / Write / Construct Only

## See Also

GOutputStream, GConverter